classification
Title: Localization of error messages in getopt
Type: enhancement Stage: resolved
Components: Versions: Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: eric.araujo Nosy List: eric.araujo, gruszczy, python-dev
Priority: normal Keywords: patch

Created on 2011-03-02 10:31 by gruszczy, last changed 2011-03-21 02:27 by eric.araujo. This issue is now closed.

Files
File name Uploaded Description Edit
8841.patch gruszczy, 2011-03-02 10:31 review
Messages (8)
msg129865 - (view) Author: Filip Gruszczyński (gruszczy) Date: 2011-03-02 10:31
In http://bugs.python.org/issue8841 Eric asked to open a new ticket about localisation of getopt error messages. I attach a patch.
msg129870 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-03-02 11:07
Looks good to me.  I assume you’re run the test suite.  Can you run xgettext too to see if we get warnings or errors? (“xgettext getopt.py” should be enough)
msg129873 - (view) Author: Filip Gruszczyński (gruszczy) Date: 2011-03-02 11:17
Yes, I have run 

  ./python -m test -v test_getopt 

and it was ok.

Running 

  xgettext --from-code utf-8 getopt.py 

produces no output.
msg129874 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-03-02 11:20
I will wait for any negative feedback from another core dev and then commit this.  Thanks.
msg129877 - (view) Author: Filip Gruszczyński (gruszczy) Date: 2011-03-02 11:35
Cool, thanks for all your advice.
msg131109 - (view) Author: Filip Gruszczyński (gruszczy) Date: 2011-03-16 13:00
Bump! Hi Eric, there was no negative feedback for two weeks. How about commiting the patch?
msg131605 - (view) Author: Roundup Robot (python-dev) Date: 2011-03-21 02:22
New changeset d3e46930ffe9 by Éric Araujo in branch 'default':
Mark getopt error messages as localizable (fixes #11371).
http://hg.python.org/cpython/rev/d3e46930ffe9
msg131608 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-03-21 02:27
Done, thanks!
History
Date User Action Args
2011-03-21 02:27:36eric.araujosetstatus: open -> closed

messages: + msg131608
resolution: accepted -> fixed
stage: commit review -> resolved
2011-03-21 02:22:58python-devsetnosy: + python-dev
messages: + msg131605
2011-03-16 13:00:32gruszczysetmessages: + msg131109
2011-03-02 11:35:15gruszczysetstatus: pending -> open

messages: + msg129877
2011-03-02 11:20:11eric.araujosetstatus: open -> pending

messages: + msg129874
resolution: accepted
assignee: eric.araujo
2011-03-02 11:17:23gruszczysetmessages: + msg129873
2011-03-02 11:07:04eric.araujosetversions: + Python 3.3
messages: + msg129870
stage: commit review
2011-03-02 10:31:45gruszczycreate